Subject: Re: Linux issues on Xilinx XUPV2P board

From: Jon Loeliger <[email-masked]>
Date: Fri, 15 Aug 2008 10:08:19 -0500

John Linn wrote:
> Ah I see, sorry about that, misunderstood what was needed.
> 
> So there may be other ways as I'm not a Git expert, but I clone the
> repository, then reset to the a Git tag.
> 
>> git reset --hard <tag name>
> 
> We're working on a new frame buffer driver for a new core, but the old
> frame buffer has not been high priority for us.
> 
> Thanks,
> John 

While this "Works" in the sense that it makes your working
directory look like the contents of the given tag, you are
now using a "detached HEAD" -- ie, no real branch.

If you think you will ever want to make a change or check
in something, you might be better to create a branch based
on the original tag, perhaps something like:

    $ git checkout -b my-v2.6.24 v2.6.24

HTH,
jdl